<?php

if (file_exists(get_stylesheet_directory() . '/settings/class.theme-settings.php')) {

    require_once(get_stylesheet_directory() . '/settings/class.theme-settings.php');

}

if (wsomega_option('ws_checkbox_slider')):

    require(get_template_directory() . '/scripts/slider/slider_post_type.php');

    require(get_template_directory() . '/scripts/slider/slider.php');

endif;

if (wsomega_option('ws_checkbox_testimonial')):

    require(get_template_directory() . '/scripts/testimonials/testimonials.php');

    class Testimonial_Widget extends WP_Widget

    {

        public function __construct()

        {

            $widget_ops = array(

                'classname' => 'testimonial_widget',

                'description' => 'Display testimonial post type'

            );

            parent::__construct('testimonial_widget', 'Testimonials', $widget_ops);

        }

        public function widget($args, $instance)

        {

            extract($args);

            $title          = apply_filters('widget_title', empty($instance['title']) ? '' : $instance['title'], $instance, $this->id_base);

            $posts_per_page = (int) $instance['posts_per_page'];

            $orderby        = strip_tags($instance['orderby']);

            $testimonial_id = (null == $instance['testimonial_id']) ? '' : strip_tags($instance['testimonial_id']);

            echo $before_widget;

            if (!empty($title))

                echo $before_title . $title . $after_title;

            echo get_testimonial($posts_per_page, $orderby, $testimonial_id);

            echo $after_widget;

        }

        public function update($new_instance, $old_instance)

        {

            $instance                   = $old_instance;

            $instance['title']          = strip_tags($new_instance['title']);

            $instance['posts_per_page'] = (int) $new_instance['posts_per_page'];

            $instance['orderby']        = strip_tags($new_instance['orderby']);

            $instance['testimonial_id'] = (null == $new_instance['testimonial_id']) ? '' : strip_tags($new_instance['testimonial_id']);

            return $instance;

        }

        public function form($instance)

        {

            $instance       = wp_parse_args((array) $instance, array(

                'title' => '',

                'posts_per_page' => '1',

                'orderby' => 'none',

                'testimonial_id' => null

            ));

            $title          = strip_tags($instance['title']);

            $posts_per_page = (int) $instance['posts_per_page'];

            $orderby        = strip_tags($instance['orderby']);

            $testimonial_id = (null == $instance['testimonial_id']) ? '' : strip_tags($instance['testimonial_id']);

?>



<p>

  <label for="<?php

            echo $this->get_field_id('title');

?>">Title:</label>

  <input class="widefat" id="<?php

            echo $this->get_field_id('title');

?>" name="<?php

            echo $this->get_field_name('title');

?>" type="text" value="<?php

            echo esc_attr($title);

?>" />

</p>

<p>

  <label for="<?php

            echo $this->get_field_id('posts_per_page');

?>">Number of Testimonials: </label>

  <input class="widefat" id="<?php

            echo $this->get_field_id('posts_per_page');

?>" name="<?php

            echo $this->get_field_name('posts_per_page');

?>" type="text" value="<?php

            echo esc_attr($posts_per_page);

?>" />

</p>

<p>

  <label for="<?php

            echo $this->get_field_id('orderby');

?>">Order By</label>

  <select id="<?php

            echo $this->get_field_id('orderby');

?>" name="<?php

            echo $this->get_field_name('orderby');

?>">

    <option value="none" <?php

            selected($orderby, 'none');

?>>None</option>

    <option value="ID" <?php

            selected($orderby, 'ID');

?>>ID</option>

    <option value="date" <?php

            selected($orderby, 'date');

?>>Date</option>

    <option value="modified" <?php

            selected($orderby, 'modified');

?>>Modified</option>

    <option value="rand" <?php

            selected($orderby, 'rand');

?>>Random</option>

  </select>

</p>

<p>

  <label for="<?php

            echo $this->get_field_id('testimonial_id');

?>">Testimonial ID</label>

  <input class="widefat" id="<?php

            echo $this->get_field_id('testimonial_id');

?>" name="<?php

            echo $this->get_field_name('testimonial_id');

?>" type="text" value="<?php

            echo $testimonial_id;

?>" />

</p>

<?php

        }

    }

    add_action('widgets_init', 'register_testimonials_widget');

    function register_testimonials_widget()

    {

        register_widget('Testimonial_Widget');

    }

endif;

if (wsomega_option('ws_checkbox_faq')):

    require(get_template_directory() . '/scripts/faq/faq.php');

endif;

if (wsomega_option('ws_checkbox_gallery')):

    require(get_template_directory() . '/scripts/gallery/gallery.php');

endif;

if (wsomega_option('ws_checkbox_ytgallery')):

    require(get_template_directory() . '/scripts/gallery-youtube/youtube-gallery.php');

endif;

if (!isset($content_width))

    $content_width = 900;

function replace_wp_logo()

{

    echo '<style type="text/css">body {background:#191919;}    h1 a { background:none!important;    width:320px!important; height:80px!important; }     h1 { background:url(' . get_template_directory_uri() . '/images/client/logo.png) top center no-repeat !important; background-size:contain!important; }     </style>';

}

add_action('login_head', 'replace_wp_logo');

function ws_login_logo_url()

{

    return home_url();

}

add_filter('login_headerurl', 'ws_login_logo_url');

function ws_login_logo_url_title()

{

    return get_option('blogname');

}

add_filter('login_headertitle', 'ws_login_logo_url_title');

function ws_theme_scripts()

{

 
	
	  wp_enqueue_style('font-awesome', '//maxcdn.bootstrapcdn.com/font-awesome/4.6.3/css/font-awesome.min.css');

    wp_enqueue_style('animate', get_template_directory_uri() .'/css/animate.css');


 wp_enqueue_script('viewportchecker', get_template_directory_uri() . '/scripts/jquery.viewportchecker.min.js', array(


        'jquery'


    ));

    wp_enqueue_script('slide', get_template_directory_uri() . '/scripts/jquery.slideto.min.js', array(

        'jquery'

    ));

    wp_enqueue_script('carousel', get_template_directory_uri() . '/scripts/carousel/jquery.carouFredSel-6.1.0-packed.js', array(

        'jquery'

    ));

    wp_enqueue_script('dropdown', get_template_directory_uri() . '/scripts/hoverIntent.js', array(

        'jquery'

    ));

    wp_enqueue_script('superfish', get_template_directory_uri() . '/scripts/superfish.js', array(

        'jquery'

    ));

    if (wsomega_option('ws_checkbox_parallax')):

        wp_enqueue_script('parallax', get_template_directory_uri() . '/scripts/parallax.min.js', array(

            'jquery'

        ));

    endif;

    wp_enqueue_script('themescript', get_template_directory_uri() . '/scripts/wsthemescripts.js', array(

        'jquery'

    ));

}

add_action('init', 'ws_theme_scripts');

if (!function_exists('fb_addgravatar')) {

    function fb_addgravatar($avatar_defaults)

    {

        $myavatar                   = get_bloginfo('template_directory') . '/images/client/placeholder.png';

        $avatar_defaults[$myavatar] = 'wsOmega Avatar';

        return $avatar_defaults;

    }

    add_filter('avatar_defaults', 'fb_addgravatar');

}

function _remove_script_version($src)

{

    $parts = explode('?', $src);

    return $parts[0];

}

add_filter('script_loader_src', '_remove_script_version', 15, 1);

add_filter('style_loader_src', '_remove_script_version', 15, 1);

register_nav_menus(array(

    'primary' => __('Primary Menu', 'wsomega'),

    'secondary' => __('Secondary Menu', 'wsomega')

));

add_theme_support('automatic-feed-links');

function wsomega_page_menu_args($args)

{

    $args['show_home'] = true;

    return $args;

}

add_filter('wp_page_menu_args', 'wsomega_page_menu_args');

function wsomega_widgets_init()

{

    register_sidebar(array(

        'name' => __('Default Sidebar', 'wsomega'),

        'id' => 'sidebar-default',

        'description' => __('Main Default Page Sidebar', 'wsomega'),

        'before_widget' => '<div id="%1$s" class="widget %2$s">',

        'after_widget' => '</div></div>',

        'before_title' => '<h3 class="widget-title">',

        'after_title' => '</h3><div class="summary">'

    ));

    register_sidebar(array(

        'name' => __('Alternative Sidebar', 'wsomega'),

        'id' => 'sidebar-2',

        'description' => __('Pairs with Alternative Page Template', 'wsomega'),

        'before_widget' => '<div id="%1$s" class="widget %2$s">',

        'after_widget' => '</div></div>',

        'before_title' => '<h3 class="widget-title">',

        'after_title' => '</h3><div class="summary">'

    ));

    register_sidebar(array(

        'name' => __('Contact Sidebar', 'wsomega'),

        'id' => 'sidebar-contact',

        'description' => __('Contact Page Sidebar', 'wsomega'),

        'before_widget' => '<div id="%1$s" class="widget %2$s">',

        'after_widget' => '</div></div>',

        'before_title' => '<h3 class="widget-title">',

        'after_title' => '</h3><div class="summary">'

    ));

    if (wsomega_option('ws_checkbox_testimonial')):

        register_sidebar(array(

            'name' => __('Testimonial Sidebar', 'wsomega'),

            'id' => 'sidebar-testimonials',

            'before_widget' => '<div id="%1$s" class="widget %2$s">',

            'after_widget' => '</div></div>',

            'before_title' => '<h3 class="widget-title">',

            'after_title' => '</h3><div class="summary">'

        ));

    endif;

    if (class_exists('Woocommerce')):

        register_sidebar(array(

            'name' => __('Shop Sidebar', 'wsomega'),

            'id' => 'sidebar-shop',

            'description' => __('Shop Sidebar', 'wsomega'),

            'before_widget' => '<div id="%1$s" class="widget %2$s">',

            'after_widget' => '</div></div>',

            'before_title' => '<h3 class="widget-title">',

            'after_title' => '</h3><div class="summary">'

        ));

    endif;

}

add_action('init', 'wsomega_widgets_init');

add_filter('widgettext', 'do_shortcode');

add_filter('widget_text', 'execute_php', 100);

function execute_php($html)

{

    if (strpos($html, "<" . "?php") !== false) {

        ob_start();

        eval("?" . ">" . $html);

        $html = ob_get_contents();

        ob_end_clean();

    }

    return $html;

}

class wscontact_widget extends WP_Widget

{

    function __construct()

    {

        parent::__construct('wscontact_widget', __('Contact Info Widget', 'wscontact_widget_domain'), array(

            'description' => __('Sample widget based on WPBeginner Tutorial', 'wscontact_widget_domain')

        ));

    }

    public function widget($args, $instance)

    {

        $title = apply_filters('widget_title', $instance['title']);

        $phone = wsomega_option('ws_text_phone_1');

        $hours = wsomega_option('ws_textarea_hours');

        echo $args['before_widget'];

        if (!empty($title))

            echo $args['before_title'] . $title . $args['after_title'];

        echo __('<ul id="contactBox">');

        if (wsomega_option('ws_text_phone_1')):

            if (wp_is_mobile()):

                echo __('<li class="ws-phone"><i class="fa fa-phone"></i><label>Phone:</label><span><a href="tel:1' . str_replace('-', '', $phone) . '" target="_blank">' . wsomega_option('ws_text_phone_1') . '</a></span></li>');

            else:

                echo __('<li class="ws-phone"><i class="fa fa-phone"></i><label>Phone:</label><span>' . wsomega_option('ws_text_phone_1') . '</span></li>');

            endif;

        endif;
		
		
		
		        if (wsomega_option('ws_text_phone_2')):

            if (wp_is_mobile()):

                echo __('<li class="ws-phone"><i class="fa fa-phone"></i><label>Secondary Phone:</label><span><a href="tel:1' . str_replace('-', '', $phone) . '" target="_blank">' . wsomega_option('ws_text_phone_2') . '</a></span></li>');

            else:

                echo __('<li class="ws-phone"><i class="fa fa-phone"></i><label>Phone:</label><span>' . wsomega_option('ws_text_phone_2') . '</span></li>');

            endif;

        endif;
		
		
		

        if (wsomega_option('ws_text_phone_3')):

            echo __('<li class="ws-fax"><i class="fa fa-fax"></i><label>Fax:</label><span>' . wsomega_option('ws_text_phone_3') . '</span></li>');

        endif;

        if (wsomega_option('ws_text_email')):

            echo __('<li class="ws-email"><i class="fa fa-envelope"></i><label>Email:</label><span><a href="mailto:' . wsomega_option('ws_text_email') . '">' . wsomega_option('ws_text_email') . '</span></a></li>');

        else:

            echo __('<li class="ws-email"><i class="fa fa-envelope"></i><label>Email:</label><span><a href="mailto:' . get_option('admin_email') . '">' . get_option('admin_email') . '</span></a></li>');

        endif;

        if (wsomega_option('ws_text_address_1')):

            echo __('<li class="ws-address"><i class="fa fa-map-marker"></i><label>Address:</label><span>' . wsomega_option('ws_text_address_1') . '<br />' . wsomega_option('ws_text_address_2') . '</span></li>');

        endif;

        if (wsomega_option('ws_textarea_hours')):

            echo __('<li class="ws-hours"><i class="fa fa-clock-o"></i><label>Business Hours:</label><span>' . htmlspecialchars_decode(nl2br($hours)) . '</span></li>');

        endif;

        if (wsomega_option('ws_textarea_google_map')):

            echo __('<li class="ws-map"><div class="mbox">' . htmlspecialchars_decode(wsomega_option('ws_textarea_google_map')) . '</div></li>');

        endif;

        echo __('</ul>');

        echo $args['after_widget'];

    }

    public function form($instance)

    {

        if (isset($instance['title'])) {

            $title = $instance['title'];

        } else {

            $title = __('New title', 'wscontact_widget_domain');

        }

?>

<p>

  <label for="<?php

        echo $this->get_field_id('title');

?>">

    <?php

        _e('Title:');

?>

 </label>

  <input class="widefat" id="<?php

        echo $this->get_field_id('title');

?>" name="<?php

        echo $this->get_field_name('title');

?>" type="text" value="<?php

        echo esc_attr($title);

?>" />

</p>

<?php

    }

    public function update($new_instance, $old_instance)

    {

        $instance          = array();

        $instance['title'] = (!empty($new_instance['title'])) ? strip_tags($new_instance['title']) : '';

        return $instance;

    }

}

function wscontact_load_widget()

{

    register_widget('wscontact_widget');

}

add_action('widgets_init', 'wscontact_load_widget');

function new_excerpt_length($length)

{

    global $post;

    if ($post->post_type == 'testimonials')

        return 50;

    else if ($post->post_type == 'slider')

        return 10;

    else

        return 20;

}

add_filter('excerpt_length', 'new_excerpt_length');

function new_excerpt_more($more)

{

    global $post;

    return ' <a href="' . get_permalink($post->ID) . '"><i class="fa fa-long-arrow-right"></i></a>































';

}

add_filter('excerpt_more', 'new_excerpt_more');

add_filter('show_admin_bar', '__return_false');

add_theme_support('post-thumbnails');

function ws_add_image_sizes()

{

    add_image_size('wsomega-header', 2000, 1000, true);

    add_image_size('wsomega-banner', 1000, 400, true);

    add_image_size('wsomega-thumbnail', 450, 250, true);

}

add_action('init', 'ws_add_image_sizes');

function ws_show_image_sizes($sizes)

{

    $sizes['wsomega-banner'] = __('Default Banner', 'wsomega');

    return $sizes;

}

add_filter('image_size_names_choose', 'ws_show_image_sizes');

add_filter('post_thumbnail_size', 'ws_post_image_size');

function ws_post_image_size($size)

{

    return $size;

}

add_filter('post_gallery', 'ws_post_gallery', 10, 2);

function ws_post_gallery($output, $attr)

{

    global $post, $wp_locale;

    static $instance = 0;

    $instance++;

    if (isset($attr['orderby'])) {

        $attr['orderby'] = sanitize_sql_orderby($attr['orderby']);

        if (!$attr['orderby']) {

            unset($attr['orderby']);

        }

    }

    extract(shortcode_atts(array(

        'order' => 'ASC',

        'orderby' => 'menu_order ID',

        'id' => $post->ID,

        'itemtag' => 'figure',

        'icontag' => 'dt',

        'captiontag' => 'figcaption',

        'columns' => 3,

        'size' => 'thumbnail',

        'attachment' => 'large',

        'include' => '',

        'exclude' => ''

    ), $attr));

    $id = intval($id);

    if ('RAND' == $order) {

        $orderby = 'none';

    }

    if (!empty($include)) {

        $include      = preg_replace('/[^0-9,]+/', '', $include);

        $_attachments = get_posts(array(

            'include' => $include,

            'post_status' => 'inherit',

            'post_type' => 'attachment',

            'post_mime_type' => 'image',

            'order' => $order,

            'orderby' => $orderby

        ));

        $attachments  = array();

        foreach ($_attachments as $key => $val) {

            $attachments[$val->ID] = $_attachments[$key];

        }

    } elseif (!empty($exclude)) {

        $exclude     = preg_replace('/[^0-9,]+/', '', $exclude);

        $attachments = get_children(array(

            'post_parent' => $id,

            'exclude' => $exclude,

            'post_status' => 'inherit',

            'post_type' => 'attachment',

            'post_mime_type' => 'image',

            'order' => $order,

            'orderby' => $orderby

        ));

    } else {

        $attachments = get_children(array(

            'post_parent' => $attr['id'],

            'post_status' => 'inherit',

            'post_type' => 'attachment',

            'post_mime_type' => 'image',

            'order' => $attr['order'],

            'orderby' => $attr['orderby']

        ));

    }

    if (empty($attachments)) {

        return;

    }

    if (is_feed()) {

        $output = '';

        foreach ($attachments as $att_id => $attachment) {

            $output .= wp_get_attachment_link($att_id, $size, true) . "\n";

        }

        return $output;

    }

    $itemtag    = tag_escape($itemtag);

    $captiontag = tag_escape($captiontag);

    $columns    = intval($columns);

    $itemwidth  = $columns > 0 ? floor(100 / $columns) : 100;

    $float      = is_rtl() ? 'right' : 'left';

    $selector   = "gallery-{$instance}";

    $output     = apply_filters('gallery_style', '');

    $i          = 0;

    $output .= '































<div class="ws-gallery">';

    foreach ($attachments as $id => $attachment) {

        $link = isset($attr['link']) && 'file' == $attr['link'] ? wp_get_attachment_link($id, $size, false, false) : wp_get_attachment_link($id, $size, true, false);

        $output .= "<{$itemtag} class='item'>































  <figure class='ibox'>































    <div class='ws-button-div-center'>































      <button>View</button>































    </div>































    ";

        $output .= "$link";

        if ($captiontag && trim($attachment->post_excerpt)) {

            $output .= "<{$captiontag}>" . wptexturize($attachment->post_excerpt) . "</{$captiontag}>";

        }

        $output .= "</figure>































  </{$itemtag}>";

        if ($columns > 0 && ++$i % $columns == 0) {

            $output .= '';

        }

    }

    $output .= "<br>































  \n";

    $output .= '</div>































';

    return $output;

}

if (class_exists('Woocommerce')):

    remove_action('woocommerce_before_main_content', 'woocommerce_output_content_wrapper', 10);

    remove_action('woocommerce_after_main_content', 'woocommerce_output_content_wrapper_end', 10);

    add_action('woocommerce_before_main_content', 'ws_theme_wrapper_start', 10);

    add_action('woocommerce_after_main_content', 'ws_theme_wrapper_end', 10);

    function ws_theme_wrapper_start()

    {

        echo '































<div id="main">';

    }

    function ws_theme_wrapper_end()

    {

        echo '</div>































';

    }

    add_theme_support('woocommerce');

    add_filter('woocommerce_enqueue_styles', '__return_false');

    function wp_enqueue_woocommerce_style()

    {

        if (wsomega_option('ws_checkbox_woo_skin')):

            wp_register_style('woocommerce', get_template_directory_uri() . '/css/woocommerce-dark.css');

        else:

            wp_register_style('woocommerce', get_template_directory_uri() . '/css/woocommerce.css');

        endif;

        if (class_exists('woocommerce')) {

            wp_enqueue_style('woocommerce');

        }

    }

    add_action('wp_enqueue_scripts', 'wp_enqueue_woocommerce_style');

    add_action('wp_enqueue_scripts', 'fc_remove_woo_lightbox', 99);

    add_filter('woocommerce_price_trim_zeros', 'wc_hide_trailing_zeros', 10, 1);

    function wc_hide_trailing_zeros($trim)

    {

        return true;

    }

    add_action('init', 'custom_fix_thumbnail');

    function custom_fix_thumbnail()

    {

        add_filter('woocommerce_placeholder_img_src', 'custom_woocommerce_placeholder_img_src');

        function custom_woocommerce_placeholder_img_src($src)

        {

            $placeholder_dir = get_template_directory_uri();

            $src             = $placeholder_dir . '/images/client/placeholder.png';

            return $src;

        }

    }

    function fc_remove_woo_lightbox()

    {

        remove_action('wp_head', array(

            $GLOBALS['woocommerce'],

            'generator'

        ));

        wp_dequeue_style('woocommerce_prettyPhoto_css');

        wp_dequeue_script('prettyPhoto');

        wp_dequeue_script('prettyPhoto-init');

    }

    if (wsomega_option('ws_checkbox_woo_related')):

        function woo_related_products_limit()

        {

            global $product;

            $args['posts_per_page'] = wsomega_option('ws_select_grid_woo');

            return $args;

        }

        add_filter('woocommerce_output_related_products_args', 'jk_related_products_args');

        function jk_related_products_args($args)

        {

            $args['posts_per_page'] = wsomega_option('ws_select_grid_woo');

            $args['columns']        = wsomega_option('ws_select_grid_woo');

            return $args;

        }

    else:

        remove_action('woocommerce_after_single_product_summary', 'woocommerce_output_related_products', 20);

    endif;

    add_filter('loop_shop_columns', 'loop_columns');

    if (!function_exists('loop_columns')) {

        function loop_columns()

        {

            return wsomega_option('ws_select_grid_woo');

        }

    }

    add_filter('loop_shop_per_page', create_function('$cols', 'return ' . wsomega_option('ws_checkbox_woo_per') . ';'), 20);

	

	if (wsomega_option('ws_checkbox_woo_sidebar')):

	

	else:

	

	// Removes tabs from their original loaction 

remove_action( 'woocommerce_after_single_product_summary', 'woocommerce_output_product_data_tabs', 10 );

remove_action( 'woocommerce_after_single_product_summary', 'woocommerce_output_related_products', 20 );



// Inserts tabs under the main right product content 

add_action( 'woocommerce_single_product_summary', 'woocommerce_output_product_data_tabs', 60 );

add_action( 'woocommerce_single_product_summary', 'woocommerce_output_related_products', 60 );

	endif;

	

endif;

add_action('wp_enqueue_scripts', 'fc_add_fancybox');

function fc_add_fancybox()

{

    wp_enqueue_script('fancybox', get_template_directory_uri() . '/scripts/fancybox/source/jquery.fancybox.pack.js', false);

    wp_enqueue_style('fancybox-style', get_template_directory_uri() . '/scripts/fancybox/source/jquery.fancybox.css');

}

add_filter('single_template', 'check_for_category_single_template');

function check_for_category_single_template($t)

{

    foreach ((array) get_the_category() as $cat) {

        if (file_exists(get_template_directory() . "/single-category-{$cat->slug}.php"))

            return get_template_directory() . "/single-category-{$cat->slug}.php";

        if ($cat->parent) {

            $cat = get_the_category_by_ID($cat->parent);

            if (file_exists(get_template_directory() . "/single-category-{$cat->slug}.php"))

                return get_template_directory() . "/single-category-{$cat->slug}.php";

        }

    }

    return $t;

}

function wpb_imagelink_setup()

{

    $image_set = get_option('image_default_link_type');

    if ($image_set !== 'none') {

        update_option('image_default_link_type', 'none');

    }

}

add_action('admin_init', 'wpb_imagelink_setup', 10);

function not_admin_redirect()

{

    if (is_admin() && !defined('DOING_AJAX') && (current_user_can('subscriber') || current_user_can('customer'))) {

        wp_redirect(home_url());

        exit;

    }

}

add_action('init', 'not_admin_redirect');

if (wsomega_option('ws_checkbox_post_featured')):

    function wsmeta_featured_post()

    {

        add_meta_box('wsmeta_meta', __('Featured Posts', 'wsmeta-textdomain'), 'wsmeta_featured_post_callback', 'post', 'normal', 'high');

    }

    add_action('add_meta_boxes', 'wsmeta_featured_post');

    function wsmeta_featured_post_callback($post)

    {

        wp_nonce_field(basename(__FILE__), 'wsmeta_nonce');

        $wsmeta_stored_meta = get_post_meta($post->ID);

?>

<p><span class="wsmeta-row-title">

  <?php

        _e('Check if this is a featured post: ', 'wsmeta-textdomain');

?>

 </span>

<div class="wsmeta-row-content">

  <label for="featured-checkbox">

    <input type="checkbox" name="featured-checkbox" id="featured-checkbox" value="yes" <?php

        if (isset($wsmeta_stored_meta['featured-checkbox']))

            checked($wsmeta_stored_meta['featured-checkbox'][0], 'yes');

?> />

    <?php

        _e('Featured Item', 'wsmeta-textdomain');

?>

 </label>

</div>

</p>

<?php

    }

    function wsmeta_featured_post_save($post_id)

    {

        $is_autosave    = wp_is_post_autosave($post_id);

        $is_revision    = wp_is_post_revision($post_id);

        $is_valid_nonce = (isset($_POST['wsmeta_nonce']) && wp_verify_nonce($_POST['wsmeta_nonce'], basename(__FILE__))) ? 'true' : 'false';

        if ($is_autosave || $is_revision || !$is_valid_nonce) {

            return;

        }

        if (isset($_POST['featured-checkbox'])) {

            update_post_meta($post_id, 'featured-checkbox', 'yes');

        } else {

            update_post_meta($post_id, 'featured-checkbox', 'no');

        }

    }

    add_action('save_post', 'wsmeta_featured_post_save');

endif;

function wsmeta_page_banner()

{

    add_meta_box('wsmeta_meta', __('Post Banner', 'wsmeta-textdomain'), 'wsmeta_page_banner_callback', 'post', 'side', 'core');

}

add_action('add_meta_boxes', 'wsmeta_page_banner');

function wsmeta_page_banner_callback($post)

{

    wp_nonce_field(basename(__FILE__), 'wsmeta_nonce');

    $wsmeta_stored_meta = get_post_meta($post->ID);

?>

<label for="meta-text"  class="wsmeta-row-title">

  <input type="checkbox" name="meta-text" id="meta-text" value="yes" <?php

    if (isset($wsmeta_stored_meta['meta-text']))

        checked($wsmeta_stored_meta['meta-text'][0], 'yes');

?> />

  <?php

    _e('Show Featured Image as Page Banner', 'wsmeta-textdomain');

?>

</label>

<?php

}

function wsmeta_page_banner_save($post_id)

{

    $is_autosave    = wp_is_post_autosave($post_id);

    $is_revision    = wp_is_post_revision($post_id);

    $is_valid_nonce = (isset($_POST['wsmeta_nonce']) && wp_verify_nonce($_POST['wsmeta_nonce'], basename(__FILE__))) ? 'true' : 'false';

    if ($is_autosave || $is_revision || !$is_valid_nonce) {

        return;

    }

    if (isset($_POST['meta-text'])) {

        update_post_meta($post_id, 'meta-text', 'yes');

    } else {

        update_post_meta($post_id, 'meta-text', 'no');

    }

}

add_action('save_post', 'wsmeta_page_banner_save');

function add_comment_author_to_reply_link($link, $args, $comment)

{

    $comment = get_comment($comment);

    if (empty($comment->comment_author)) {

        if (!empty($comment->user_id)) {

            $user   = get_userdata($comment->user_id);

            $author = $user->user_login;

        } else {

            $author = __('Anonymous');

        }

    } else {

        $author = $comment->comment_author;

    }

    if (strpos($author, ' ')) {

        $author = substr($author, 0, strpos($author, ' '));

    }

    // Replace Reply Link with "Reply to &lt;Author First Name>"

    $reply_link_text = $args['reply_text'];

    $link            = str_replace($reply_link_text, 'Reply to ' . $author, $link);

    return $link;

}

add_filter('comment_reply_link', 'add_comment_author_to_reply_link', 10, 3);

function comment_reform($arg)

{

    $arg['title_reply'] = __('<i class="fa fa-comment"></i> Leave a Comment');

    return $arg;

}

add_filter('comment_form_defaults', 'comment_reform');

add_theme_support('html5', array(

    'search-form'

));

//mod content - use this function only if you DON'T USE Suffusion theme

function hatom_mod_post_content($content)

{

    if (in_the_loop() && !is_page()) {

        $content = '<div class="summary">' . $content . '</div>';

    }

    return $content;

}

add_filter('the_content', 'hatom_mod_post_content');

//add hatom data

function add_suf_hatom_data($content)

{

    $t      = get_the_modified_time('F jS, Y');

    $author = get_the_author();

    $title  = get_the_title();

    if (is_home() || is_singular() || is_archive()) {

        $content .= '<div class="ws-hatom-extra"><span class="entry-title">' . $title . '</span> was last modified: <span class="updated"> ' . $t . '</span> by <span class="author vcard"><span class="fn">' . $author . '</span></span></div>';

    }

    return $content;

}

add_filter('the_content', 'add_suf_hatom_data');