<?php

















/** * @package WordPress * @subpackage wsomega */?>

<!DOCTYPE html>

<html <?php language_attributes(); ?>>
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>" />
<meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">
<title>
<?php wp_title(''); ?>
</title>
<link rel="profile" href="http://gmpg.org/xfn/11" />
<link rel="stylesheet" type="text/css" media="all" href="<?php bloginfo( 'stylesheet_url' ); ?>" />

<?php if ( wsomega_option('ws_checkbox_font_lato') ) : ?>
<link href='//fonts.googleapis.com/css?family=Lato:300,400,700' rel='stylesheet' type='text/css'>
<?php endif; ?>
<?php if ( wsomega_option('ws_checkbox_font_montserrat') ) : ?>
<link href='//fonts.googleapis.com/css?family=Montserrat:400,700' rel='stylesheet' type='text/css'>
<?php endif; ?>
<?php if ( wsomega_option('ws_checkbox_font_open-sans') ) : ?>
<link href='//fonts.googleapis.com/css?family=Open+Sans:400,300,700,800' rel='stylesheet' type='text/css'>
<?php endif; ?>
<?php if ( wsomega_option('ws_checkbox_font_roboto-condensed') ) : ?>
<link href='//fonts.googleapis.com/css?family=Roboto+Condensed:400,300,700' rel='stylesheet' type='text/css'>
<?php endif; ?>
<?php if ( wsomega_option('ws_checkbox_font_roboto-slab') ) : ?>
<link href='//fonts.googleapis.com/css?family=Roboto+Slab:400,300,700' rel='stylesheet' type='text/css'>
<?php endif; ?>





<?php if ( is_singular() && get_option( 'thread_comments' ) ) wp_enqueue_script( 'comment-reply' ); ?>
<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>" />

<!--[if gte IE 9]>  <style type="text/css">

















    .gradient {       filter: none;

















    }

















  </style>

















<![endif]-->

<!--[if lt IE 9]><script src="<?php echo get_template_directory_uri(); ?>/scripts/html5.js" type="text/javascript"></script><![endif]-->

<?php if ( wsomega_option('ws_textarea_scripts') ) : ?>
<?php echo htmlspecialchars_decode(wsomega_option('ws_textarea_scripts')); ?>
<?php endif; ?>
<?php wp_head(); ?>
</head>

<body <?php body_class( $class ); ?>>
<?php if ( wp_is_mobile() ) : ?>
<?php else : ?>
<?php endif; ?>
<div id="page" class="hfeed">
<div id="mobileNav">
  <div id="mobileNavIcon"><i class="fa fa-bars"></i> <span>Menu</span></div>
  <nav>
    <?php wp_nav_menu(array( 'theme_location' => 'primary')); ?>
  </nav>
</div>
<header id="wsTop">
  <div class="ws-wrap">
    <div class="ws-logo" style="max-width:<?php echo wsomega_option('ws_text_header_logo_width'); ?>;"> <a href="<?php echo home_url();?>" title="<?php bloginfo('name');?> | <?php bloginfo('description');?>">
      <figure class="ibox">
        <?php if ( wsomega_option('ws_text_header_logo') ) : ?>
        <img src="<?php echo wsomega_option('ws_text_header_logo'); ?>" alt="<?php bloginfo('name');?>" title="Logo for <?php bloginfo('name');?>">
        <?php else : ?>
        <img src="<?php echo get_template_directory_uri();?>/images/client/logo.png" alt="<?php bloginfo('name');?>">
        <?php endif; ?>
      </figure>
      </a> </div>
    <?php if ( wsomega_option('ws_checkbox_phone') ) : ?>
    <div class="ws-phone">
      <?php if ( wsomega_option('ws_text_phone_1') ) : ?>
     <h2> <?php if ( wp_is_mobile() ) : ?>
      <a href="tel:1<?php $phone = wsomega_option('ws_text_phone_1'); echo str_replace('-', '', $phone);?> " target="_blank">
      <?php endif; ?>
      <?php echo wsomega_option('ws_text_phone_1');?> 
      <?php if ( wp_is_mobile() ) : ?>
      </a>
      <?php endif; ?></h2>
      
      
           <h2> <?php if ( wp_is_mobile() ) : ?>
      <a href="tel:1<?php $phone = wsomega_option('ws_text_phone_2'); echo str_replace('-', '', $phone);?> " target="_blank">
      <?php endif; ?>
      <?php echo wsomega_option('ws_text_phone_2');?> 
      <?php if ( wp_is_mobile() ) : ?>
      </a>
      <?php endif; ?></h2>
      
      
      
      <?php endif; ?><?php echo wsomega_option('ws_text_address_1'); ?><br><?php echo wsomega_option('ws_text_address_2'); ?>
    </div>
    <?php endif; ?>
    <?php if ( class_exists('Woocommerce') ) : ?>
    <div class="ws-cart">
      <?php global $woocommerce; ?>
      <i class="fa fa-shopping-cart"></i> <a class="cart-contents" href="<?php echo $woocommerce->cart->get_cart_url(); ?>" title="<?php _e('View your shopping cart', 'woothemes'); ?>"><?php echo sprintf(_n('%d item', '%d items', $woocommerce->cart->cart_contents_count, 'woothemes'), $woocommerce->cart->cart_contents_count);?> - <?php echo $woocommerce->cart->get_cart_total(); ?></a></div>
    <div class="ws-welcome">
      <?php if ( is_user_logged_in() ) : ?>
      <?php global $current_user;

















      get_currentuserinfo();

















      echo 'Hello ' . $current_user->display_name . '. Would you like to see your <a href="'.home_url().'/?page_id='.get_option( 'woocommerce_myaccount_page_id' ).'">account</a> or <a href="'. wp_logout_url(home_url()).'">logout</a>.';

 



?>
      <?php else : ?>
      Welcome visitor you can <a href="<?php echo home_url();?>/?page_id=<?php echo get_option( 'woocommerce_myaccount_page_id' );?>">login</a> or <a href="<?php echo home_url();?>/?page_id=<?php echo get_option( 'woocommerce_myaccount_page_id' );?>">create an account</a>.
      <?php endif; ?>
    </div>
    <?php endif; ?>
    <hr class="ws-clear">
  </div>
</header>
<nav id="wsNavWrap">
  <div class="ws-wrap">
    <?php wp_nav_menu( array( 'theme_location' => 'primary' ,'container_id' => 'wsNav', 'menu_class' => 'sf-menu')); ?>
  </div>
</nav>
<div id="wsBody">
<?php if ( is_front_page() ) : ?>
<?php if ( wsomega_option('ws_checkbox_slider') ) :  ?>
<div id="wsHead">
<?php if ( wsomega_option('ws_checkbox_slider_width') ) : ?>
<div>
  <?php else : ?>
  <div class="ws-wrap">
    <?php endif; ?>
    <div class="ws-head">
      <?php if ( wsomega_slider_template() ) : ?>
      <?php echo wsomega_slider_template(); ?>
      <?php endif; ?>
      <hr class="ws-clear">
    </div>
  </div>
  <hr class="ws-clear">
</div>
<?php endif; ?>
<div id="wsHome">
<div id="main">
<?php else : ?>
<?php if ( function_exists( 'yoast_breadcrumb' ) ) { yoast_breadcrumb( '<div id="wsCrumbs"><div class="ws-wrap">', '</div></div>' ); } ?>
<div class="ws-wrap">
<div id="main">
<?php endif; ?>
