<?php
function ytgallery_post_type()
{
    register_post_type('ytgallery', array(
        'labels' => array(
            'name' => 'YouTube Gallery',
            'singular_name' => 'YouTube Video',
            'add_new' => 'Add New YouTube Video',
            'add_new_item' => 'Add New YouTube Video',
            'edit_item' => 'Edit YouTube Video',
            'new_item' => 'New YouTube Video',
            'view_item' => 'View YouTube Video'
        ),
        'taxonomies' => array(
            'category',
            'post_tag'
        ),
        'has_archive' => false,
        'public' => true,
        'hierarchical' => true,
        'supports' => array(
            'title',
            'editor',
            'thumbnail'
        ),
        'exclude_from_search' => false,
        'capability_type' => 'post',
        'menu_position' => 3,
        'menu_icon' => get_template_directory_uri() . '/scripts/gallery-youtube/ytgallery-icon.png'
    ));
}
add_action('init', 'ytgallery_post_type');
function youtube_id_get_meta($value)
{
    global $post;
    $field = get_post_meta($post->ID, $value, true);
    if (!empty($field)) {
        return is_array($field) ? stripslashes_deep($field) : stripslashes(wp_kses_decode_entities($field));
    } else {
        return false;
    }
}
function youtube_id_add_meta_box()
{
    add_meta_box('youtube_id-youtube-id', __('YouTube ID', 'youtube_id'), 'youtube_id_html', 'post', 'side', 'default');
    add_meta_box('youtube_id-youtube-id', __('YouTube ID', 'youtube_id'), 'youtube_id_html', 'ytgallery', 'side', 'default');
}
add_action('add_meta_boxes', 'youtube_id_add_meta_box');
function youtube_id_html($post)
{
    wp_nonce_field('_youtube_id_nonce', 'youtube_id_nonce');
?>

	<p>
		<label for="youtube_id_youtube_id"><?php
    _e('YouTube ID', 'youtube_id');
?></label><br>
		<input type="text" name="youtube_id_youtube_id" id="youtube_id_youtube_id" value="<?php
    echo youtube_id_get_meta('youtube_id_youtube_id');
?>">
	</p><?php
}
function youtube_id_save($post_id)
{
    if (defined('DOING_AUTOSAVE') && DOING_AUTOSAVE)
        return;
    if (!isset($_POST['youtube_id_nonce']) || !wp_verify_nonce($_POST['youtube_id_nonce'], '_youtube_id_nonce'))
        return;
    if (!current_user_can('edit_post', $post_id))
        return;
    if (isset($_POST['youtube_id_youtube_id']))
        update_post_meta($post_id, 'youtube_id_youtube_id', esc_attr($_POST['youtube_id_youtube_id']));
}
add_action('save_post', 'youtube_id_save');
add_filter('manage_edit-ytgallery_columns', 'my_edit_ytgallery_columns');
function my_edit_ytgallery_columns($columns)
{
    $columns = array(
        'cb' => '<input type="checkbox" />',
        'ytg-thumbnail' => __('Thumbnail'),
        'title' => __('Movie'),
        'ytg-id' => __('YouTube ID'),
        'date' => __('Date')
    );
    return $columns;
}
add_action('manage_ytgallery_posts_custom_column', 'my_manage_ytgallery_columns', 10, 2);
function my_manage_ytgallery_columns($column, $post_id)
{
    global $post;
    switch ($column) {
        case 'ytg-thumbnail':
            echo '<div style="overflow:hidden;"><img src="//img.youtube.com/vi/' . youtube_id_get_meta('youtube_id_youtube_id') . '/hqdefault.jpg" width="200" height="auto" style="margin:-9.2% 0;"/></div>';
            break;
        case 'ytg-id':
            echo youtube_id_get_meta('youtube_id_youtube_id');
            break;
        default:
            break;
    }
}
?>