<?php
 
    function register_slides_posttype() {
        $labels = array(
            'name'              => _x( 'Slides', 'post type general name' ),
            'singular_name'     => _x( 'Slide', 'post type singular name' ),
            'add_new'           => __( 'Add New Slide' ),
            'add_new_item'      => __( 'Add New Slide' ),
            'edit_item'         => __( 'Edit Slide' ),
            'new_item'          => __( 'New Slide' ),
            'view_item'         => __( 'View Slide' ),
            'search_items'      => __( 'Search Slides' ),
            'not_found'         => __( 'Slide' ),
            'not_found_in_trash'=> __( 'Slide' ),
            'parent_item_colon' => __( 'Slide' ),
            'menu_name'         => __( 'Slides' )
        );
 
        $taxonomies = array();
 





if ( wsomega_option('ws_checkbox_slider_textbox') ) :








$supports = array('title','editor','thumbnail');









else :









$supports = array('title','thumbnail');









endif;







        






 







 
        $post_type_args = array(
            'labels'            => $labels,
            'singular_label'    => __('Slide'),
            'public'            => true,
            'show_ui'           => true,
            'publicly_queryable'=> true,
            'query_var'         => true,
            'capability_type'   => 'post',
            'has_archive'       => false,
            'hierarchical'      => false,
            'rewrite'           => array( 'slug' => 'ws-slides', 'with_front' => false ),
            'supports'          => $supports,
            'menu_position'     => 6,
            'menu_icon'         => get_template_directory_uri() . '/scripts/slider/slides-icon-20x20.png',
            'taxonomies'        => $taxonomies
        );
        register_post_type('ws-slides',$post_type_args);
    }
    add_action('init', 'register_slides_posttype');


 







$slidelink_2_metabox = array(
        'id' => 'slidelink',
        'title' => 'Slide Link',
        'page' => array('ws-slides'),
        'context' => 'normal',
        'priority' => 'default',
        'fields' => array(                     
                    array(
                        'name'          => 'Slide URL',
                        'desc'          => '',
                        'id'                => 'wsomega_slideurl',
                        'class'             => 'wsomega_slideurl',
                        'type'          => 'text',
                        'rich_editor'   => 0,           
                        'max'           => 0            
                    ),
                    )
    );         
                 
    add_action('admin_menu', 'wsomega_add_slidelink_2_meta_box');
    function wsomega_add_slidelink_2_meta_box() {        global $slidelink_2_metabox;               foreach($slidelink_2_metabox['page'] as $page) {
            add_meta_box($slidelink_2_metabox['id'], $slidelink_2_metabox['title'], 'wsomega_show_slidelink_2_box', $page, 'normal', 'default', $slidelink_2_metabox);
        }
    }    
    function wsomega_show_slidelink_2_box()  {
        global $post;
        global $slidelink_2_metabox;
        global $wsomega_prefix;
        global $wp_version;
         
      
        echo '<input type="hidden" name="wsomega_slidelink_2_meta_box_nonce" value="', wp_create_nonce(basename(__FILE__)), '" />';
         
        echo '<table class="form-table">';        foreach ($slidelink_2_metabox['fields'] as $field) {
          







		$meta = get_post_meta($post->ID, $field['id'], true);
             
            echo '<tr>',
                    '<th style="width:20%"><label for="', $field['id'], '">', stripslashes($field['name']), '</label></th>',
                    '<td class="wsomega_field_type_' . str_replace(' ', '_', $field['type']) . '">';
            switch ($field['type']) {
                case 'text':
                    echo '<input type="text" name="', $field['id'], '" id="', $field['id'], '" value="', $meta ? $meta : $field['std'], '" size="30" style="width:97%" /><br/>', '', stripslashes($field['desc']);
                    break;
            }
            echo    '<td>',
                '</tr>';
        }
         
        echo '</table>';
    }    
    add_action('save_post', 'wsomega_slidelink_2_save');
    function wsomega_slidelink_2_save($post_id) {
        global $post;
        global $slidelink_2_metabox;
         
     
        if (!wp_verify_nonce($_POST['wsomega_slidelink_2_meta_box_nonce'], basename(__FILE__))) {
            return $post_id;
        }   
        if (defined('DOING_AUTOSAVE') && DOING_AUTOSAVE) {
            return $post_id;
        }   
        if ('page' == $_POST['post_type']) {
            if (!current_user_can('edit_page', $post_id)) {
                return $post_id;
            }
        } elseif (!current_user_can('edit_post', $post_id)) {
            return $post_id;
        }
         
        foreach ($slidelink_2_metabox['fields'] as $field) {
         
            $old = get_post_meta($post_id, $field['id'], true);
            $new = $_POST[$field['id']];
             
            if ($new && $new != $old) {
                if($field['type'] == 'date') {
                    $new = wsomega_format_date($new);
                    update_post_meta($post_id, $field['id'], $new);
                } else {
                    if(is_string($new)) {
                        $new = $new;
                    }
                    update_post_meta($post_id, $field['id'], $new);
                     
                     
                }
            } elseif ('' == $new && $old) {
                delete_post_meta($post_id, $field['id'], $old);
            }
        }
    }