<?php

/**











* Master theme class











* @package wsOmega











* @since 2.1











*/

class wsomega_settings

{

    private $sections;

    private $checkboxes;

    private $settings;

    public function __construct()

    {

        $this->checkboxes = array();

        $this->settings   = array();

        $this->get_option();

        $this->sections['general']      = __('General Information');

        $this->sections['appearance']   = __('Appearance');

        $this->sections['homepage']     = __('Home Page');

        $this->sections['slider']       = __('Slider');

        $this->sections['testimonials'] = __('Testimonials');

        $this->sections['otherscripts'] = __('Scripts');

        $this->sections['social']       = __('Links');

        if (class_exists('Woocommerce')):

            $this->sections['woo'] = __('WooCommerce');

        endif;

        $this->sections['reset'] = __('Reset to Defaults');

        $this->sections['about'] = __('About');

        add_action('admin_menu', array(

            &$this,

            'add_pages'

        ));

        add_action('admin_init', array(

            &$this,

            'register_settings'

        ));

        if (!get_option('wsomega_theme_settings'))

            $this->initialize_settings();

    }

    public function add_pages()

    {

        $admin_page = add_theme_page(__('Theme Options'), __('Theme Options'), 'manage_options', 'wsomega-theme-options', array(

            &$this,

            'display_page'

        ));

        add_action('admin_print_scripts-' . $admin_page, array(

            &$this,

            'scripts'

        ));

        add_action('admin_print_styles-' . $admin_page, array(

            &$this,

            'styles'

        ));

    }

    public function create_setting($args = array())

    {

        $defaults = array(

            'id' => 'default_field',

            'title' => __('Default Field'),

            'desc' => __('This is a default description.'),

            'std' => '',

            'type' => 'text',

            'section' => 'general',

            'choices' => array(),

            'class' => ''

        );

        extract(wp_parse_args($args, $defaults));

        $field_args = array(

            'type' => $type,

            'id' => $id,

            'desc' => $desc,

            'std' => $std,

            'choices' => $choices,

            'label_for' => $id,

            'class' => $class

        );

        if ($type == 'checkbox')

            $this->checkboxes[] = $id;

        add_settings_field($id, $title, array(

            $this,

            'display_setting'

        ), 'wsomega-theme-options', $section, $field_args);

    }

    public function display_page()

    {

        echo '<div class="wrap">























	<div class="icon32" id="icon-options-general"></div>























	<h1>' . __('Theme Options') . '</h1>';

        if (isset($_GET['settings-updated']) && $_GET['settings-updated'] == true)

            echo '<div class="updated fade"><p>' . __('Theme options updated.') . '</p></div>';

        echo '<form action="options.php" method="post">';

        settings_fields('wsomega_theme_settings');

        echo '<div class="ui-tabs">























			<ul class="ui-tabs-nav">';

        foreach ($this->sections as $section_slug => $section)

            echo '<li><a href="#' . $section_slug . '">' . $section . '</a></li>';

        echo '</ul>';

        do_settings_sections($_GET['page']);

        echo '</div>























		<p class="submit"><input name="Submit" type="submit" class="button-primary" value="' . __('Save Changes') . '" /></p>



































	</form>';

        echo '<script type="text/javascript">























		jQuery(document).ready(function($) { var sections = [];';

        foreach ($this->sections as $section_slug => $section)

            echo "sections['$section'] = '$section_slug';";

        echo 'var wrapped = $(".wrap h2").wrap("<div class=\"ui-tabs-panel\">");























			wrapped.each(function() {























				$(this).parent().append($(this).parent().nextUntil("div.ui-tabs-panel"));























			});























			$(".ui-tabs-panel").each(function(index) {























				$(this).attr("id", sections[$(this).children("h2").text()]);























				if (index > 0)























					$(this).addClass("ui-tabs-hide");























			});























			$(".ui-tabs").tabs({























				fx: { opacity: "toggle", duration: "fast" }























			});























			























			$("input[type=text], textarea").each(function() {























				if ($(this).val() == $(this).attr("placeholder") || $(this).val() == "")























					$(this).css("color", "#999");























			});























			























			$("input[type=text], textarea").focus(function() {























				if ($(this).val() == $(this).attr("placeholder") || $(this).val() == "") {























					$(this).val("");























					$(this).css("color", "#000");























				}























			}).blur(function() {























				if ($(this).val() == "" || $(this).val() == $(this).attr("placeholder")) {























					$(this).val($(this).attr("placeholder"));























					$(this).css("color", "#999");























				}























			});























			























			$(".wrap h2, .wrap table").show();























			























			// This will make the "warning" checkbox class really stand out when checked.























			// I use it here for the Reset checkbox.























			$(".warning").change(function() {























				if ($(this).is(":checked"))























					$(this).parent().css("background", "#c00").css("color", "#fff").css("fontWeight", "bold");























				else























					$(this).parent().css("background", "none").css("color", "inherit").css("fontWeight", "normal");























			});























			























			// Browser compatibility























			if ($.browser.mozilla) 























			         $("form").attr("autocomplete", "off");























		});























	</script>























</div>';

    }

    public function display_section()

    {

    }

    public function display_about_section()

    {

    }

    public function display_setting($args = array())

    {

        extract($args);

        $options = get_option('wsomega_theme_settings');

        if (!isset($options[$id]) && $type != 'checkbox')

            $options[$id] = $std;

        elseif (!isset($options[$id]))

            $options[$id] = 0;

        $field_class = '';

        if ($class != '')

            $field_class = ' ' . $class;

        switch ($type) {

            case 'heading':

                echo '</td></tr><tr valign="top"><td colspan="2" class="ws-ts-header"><h4>' . $desc . '</h4>';

                break;

            case 'checkbox':

                echo '<input class="checkbox' . $field_class . '" type="checkbox" id="' . $id . '" name="wsomega_theme_settings[' . $id . ']" value="1" ' . checked($options[$id], 1, false) . ' /> <label for="' . $id . '">' . $desc . '</label>';

                break;

            case 'select':

                echo '<select class="select' . $field_class . '" name="wsomega_theme_settings[' . $id . ']">';

                foreach ($choices as $value => $label)

                    echo '<option value="' . esc_attr($value) . '"' . selected($options[$id], $value, false) . '>' . $label . '</option>';

                echo '</select>';

                if ($desc != '')

                    echo '<br /><span class="description">' . $desc . '</span>';

                break;

            case 'radio':

                $i = 0;

                foreach ($choices as $value => $label) {

                    echo '<input class="radio' . $field_class . '" type="radio" name="wsomega_theme_settings[' . $id . ']" id="' . $id . $i . '" value="' . esc_attr($value) . '" ' . checked($options[$id], $value, false) . '> <label for="' . $id . $i . '">' . $label . '</label>';

                    if ($i < count($options) - 1)

                        echo '<br />';

                    $i++;

                }

                if ($desc != '')

                    echo '<br /><span class="description">' . $desc . '</span>';

                break;

            case 'textarea':

                echo '<textarea class="' . $field_class . '" id="' . $id . '" name="wsomega_theme_settings[' . $id . ']" placeholder="' . $std . '" rows="5" cols="30">' . wp_htmledit_pre($options[$id]) . '</textarea>';

                if ($desc != '')

                    echo '<br /><span class="description">' . $desc . '</span>';

                break;

            case 'password':

                echo '<input class="regular-text' . $field_class . '" type="password" id="' . $id . '" name="wsomega_theme_settings[' . $id . ']" value="' . esc_attr($options[$id]) . '" />';

                if ($desc != '')

                    echo '<br /><span class="description">' . $desc . '</span>';

                break;

            case 'text':

            default:

                echo '<input class="regular-text' . $field_class . '" type="text" id="' . $id . '" name="wsomega_theme_settings[' . $id . ']" placeholder="' . $std . '" value="' . esc_attr($options[$id]) . '" />';

                if ($desc != '')

                    echo '<br /><span class="description">' . $desc . '</span>';

                break;

        }

    }

    public function get_option()

    {

        $this->settings['ws_text_email']             = array(

            'title' => __('Email'),

            'desc' => __(''),

            'std' => '',

            'type' => 'text',

            'section' => 'general'

        );

        $this->settings['ws_text_phone_1']           = array(

            'title' => __('Phone Number'),

            'desc' => __('Please use hyphens to seperate.'),

            'std' => '',

            'type' => 'text',

            'section' => 'general'

        );

        $this->settings['ws_checkbox_phone']         = array(

            'section' => 'general',

            'title' => __('Show Phone On Header'),

            'desc' => __(''),

            'type' => 'checkbox',

            'std' => 0

        );

        $this->settings['ws_text_phone_2']           = array(

            'title' => __('Alt Number'),

            'desc' => __('Please use hyphens to seperate.'),

            'std' => '',

            'type' => 'text',

            'section' => 'general'

        );
   $this->settings['ws_text_phone_3']           = array(

            'title' => __('Fax Number'),

            'desc' => __('Please use hyphens to seperate.'),

            'std' => '',

            'type' => 'text',

            'section' => 'general'

        );
        $this->settings['ws_text_address_1']         = array(

            'title' => __('Address'),

            'desc' => __(''),

            'std' => '',

            'type' => 'text',

            'section' => 'general'

        );

        $this->settings['ws_text_address_2']         = array(

            'title' => __('City, State and Zip Code'),

            'desc' => __(''),

            'std' => '',

            'type' => 'text',

            'section' => 'general'

        );

        $this->settings['ws_textarea_hours']         = array(

            'title' => __('Business Hours'),

            'desc' => __(''),

            'std' => __(''),

            'type' => 'textarea',

            'section' => 'general'

        );

        $this->settings['ws_textarea_scripts']       = array(

            'title' => __('Header Scripts'),

            'desc' => __('Scripts you need in the head tag. Ex: Analytics or Tracking'),

            'std' => __(''),

            'type' => 'textarea',

            'section' => 'general'

        );

        $this->settings['ws_textarea_google_map']    = array(

            'title' => __('Google Map Embed Code'),

            'desc' => __('www.google.com/maps'),

            'std' => __(''),

            'type' => 'textarea',

            'section' => 'general'

        );

        $this->settings['ws_text_header_logo']       = array(

            'section' => 'appearance',

            'title' => __('Header Logo'),

            'desc' => __('Enter the URL to your logo for the theme header.'),

            'type' => 'text',

            'std' => ''

        );

        $this->settings['ws_text_header_logo_width'] = array(

            'section' => 'appearance',

            'title' => __('Header Logo Width'),

            'desc' => __(''),

            'type' => 'text',

            'std' => '25%'

        );



//FONTS START
  $this->settings['settings_font']          = array(

            'section' => 'appearance',

            'title' => '', // Not used for headings.

            'desc' => 'Google Fonts',

            'type' => 'heading'

        );

        $this->settings['ws_checkbox_font_lato']     = array(

            'section' => 'appearance',

            'title' => __('Lato'),

            'desc' => __('300,400,700'),

            'type' => 'checkbox',

            'std' => 1

        );

        $this->settings['ws_checkbox_font_monserrat']     = array(

            'section' => 'appearance',

            'title' => __('Montserrat'),

            'desc' => __('400,700'),

            'type' => 'checkbox',

            'std' => 0

        );

        $this->settings['ws_checkbox_font_open-sans']     = array(

            'section' => 'appearance',

            'title' => __('Open Sans'),

            'desc' => __('300,400,700,800'),

            'type' => 'checkbox',

            'std' => 0

        );
        $this->settings['ws_checkbox_font_roboto-condensed']     = array(

            'section' => 'appearance',

            'title' => __('Roboto Condensed'),

            'desc' => __('300,400,700'),

            'type' => 'checkbox',

            'std' => 0

        );
        $this->settings['ws_checkbox_font_roboto-slab']     = array(

            'section' => 'appearance',

            'title' => __('Roboto Slab'),

            'desc' => __('300,400,700'),

            'type' => 'checkbox',

            'std' => 0

        );
		
//FONT END
        $this->settings['settings_heading']          = array(

            'section' => 'appearance',

            'title' => '', // Not used for headings.

            'desc' => 'Loop Page Format',

            'type' => 'heading'

        );

        $this->settings['ws_checkbox_grid']          = array(

            'section' => 'appearance',

            'title' => __('Show Blog/Post in Grid'),

            'desc' => __(''),

            'type' => 'checkbox',

            'std' => 1

        );

        if (wsomega_option('ws_checkbox_grid')):

            $this->settings['ws_select_grid_items'] = array(

                'section' => 'appearance',

                'title' => __('Items per Row'),

                'desc' => __(''),

                'type' => 'select',

                'std' => '3',

                'choices' => array(

                    '2' => '2 Per Row',

                    '3' => '3 Per Row',

                    '4' => '4 Per Row',

                    '5' => '5 Per Row',

                    '6' => '6 Per Row'

                )

            );

        endif;

        $this->settings['ws_checkbox_post_related'] = array(

            'section' => 'appearance',

            'title' => __('Enable Related Post'),

            'desc' => __(''),

            'type' => 'checkbox',

            'std' => 0

        );

        if (wsomega_option('ws_checkbox_post_related')):

            $this->settings['ws_select_grid_items_related'] = array(

                'section' => 'appearance',

                'title' => __('Items per Row'),

                'desc' => __(''),

                'type' => 'select',

                'std' => '2',

                'choices' => array(

                    '2' => '2 Per Row',

                    '3' => '3 Per Row',

                    '4' => '4 Per Row',

                    '5' => '5 Per Row',

                    '6' => '6 Per Row'

                )

            );

        endif;

        $this->settings['ws_checkbox_faq']       = array(

            'section' => 'otherscripts',

            'title' => __('FAQ'),

            'desc' => __('Enable FAQ'),

            'type' => 'checkbox',

            'std' => 0

        );

        $this->settings['ws_checkbox_gallery']   = array(

            'section' => 'otherscripts',

            'title' => __('Gallery'),

            'desc' => __('Enable Gallery'),

            'type' => 'checkbox',

            'std' => 0

        );

        $this->settings['ws_checkbox_ytgallery'] = array(

            'section' => 'otherscripts',

            'title' => __('YouTube Gallery'),

            'desc' => __('Enable YouTube Gallery'),

            'type' => 'checkbox',

            'std' => 0

        );

        $this->settings['ws_checkbox_parallax']  = array(

            'section' => 'otherscripts',

            'title' => __('Parallax'),

            'desc' => __('Enable Parallax'),

            'type' => 'checkbox',

            'std' => 0

        );

        $this->settings['ws_checkbox_slider']    = array(

            'section' => 'slider',

            'title' => __('Slider'),

            'desc' => __('Enable Slider'),

            'type' => 'checkbox',

            'std' => 0

        );

        if (wsomega_option('ws_checkbox_slider')):

            $this->settings['ws_checkbox_slider_width']    = array(

                'section' => 'slider',

                'title' => __('Width'),

                'desc' => __('Enable Full Width'),

                'type' => 'checkbox',

                'std' => 0

            );

            $this->settings['ws_text_slider_height']       = array(

                'title' => __('Height'),

                'desc' => __('Height in pixels or percentage.'),

                'std' => '40%',

                'type' => 'text',

                'section' => 'slider'

            );

            $this->settings['ws_text_slider_height_min']   = array(

                'title' => __('Minimum Height'),

                'desc' => __('Height in pixels or percentage.'),

                'std' => '200px',

                'type' => 'text',

                'section' => 'slider'

            );

            $this->settings['ws_select_slider_fx']         = array(

                'section' => 'slider',

                'title' => __('Slider Transition Effects'),

                'desc' => __(''),

                'type' => 'select',

                'std' => 'Random',

                'choices' => array(

                    'random' => 'Random',

                    'simpleFade' => 'Simple Fade',

                    'curtainTopLeft' => 'Curtain Top Left',

                    'curtainTopRight' => 'Curtain Top Right',

                    'curtainBottomLeft' => 'Curtain Bottom Left',

                    'curtainBottomRight' => 'Curtain Bottom Right',

                    'curtainSliceLeft' => 'Curtain Slice Left',

                    'curtainSliceRight' => 'Curtain Slice Right',

                    'blindCurtainTopLeft' => 'Blind Curtain Top Left',

                    'blindCurtainTopRight' => 'Blind Curtain Top Right',

                    'blindCurtainBottomLeft' => 'Blind Curtain Bottom Left',

                    'blindCurtainBottomRight' => 'Blind Curtain Bottom Right',

                    'blindCurtainSliceBottom' => 'Blind Curtain Slice Bottom',

                    'blindCurtainSliceTop' => 'Blind Curtain Slice Top',

                    'stampede' => 'Stampede',

                    'mosaic' => 'Mosaic',

                    'mosaicReverse' => 'Mosaic Reverse',

                    'mosaicRandom' => 'Mosaic Random',

                    'mosaicSpiral' => 'Mosaic Spiral',

                    'mosaicSpiralReverse' => 'Mosaic Spiral Reverse',

                    'topLeftBottomRight' => 'Top Left Bottom Right',

                    'bottomRightTopLeft' => 'Bottom Right Top Left',

                    'bottomLeftTopRight' => 'Bottom Left Top Right',

                    'bottomLeftTopRight' => 'Bottom Left Top Right',

                    'scrollLeft' => 'Scroll Left',

                    'scrollRight' => 'Scroll Right',

                    'scrollHorz' => 'Scroll Horz',

                    'scrollBottom' => 'Scroll Bottom',

                    'scrollTop' => 'Scroll Top'

                )

            );

            $this->settings['ws_text_slider_columns']      = array(

                'title' => __('Column Slices'),

                'desc' => __(''),

                'std' => '6',

                'type' => 'text',

                'section' => 'slider'

            );

            $this->settings['ws_select_slider_pagination'] = array(

                'section' => 'slider',

                'title' => __('Pagination'),

                'desc' => __('Enable slider pagination'),

                'type' => 'select',

                'std' => 'false',

                'choices' => array(

                    'true' => 'True',

                    'false' => 'False'

                )

            );

            $this->settings['ws_select_slider_thumbnails'] = array(

                'section' => 'slider',

                'title' => __('Thumbnails'),

                'desc' => __('Enable slider thumbnails. Thumbnail size can be changed on Settings > Media'),

                'type' => 'select',

                'std' => 'false',

                'choices' => array(

                    'true' => 'True',

                    'false' => 'False'

                )

            );

            $this->settings['ws_checkbox_slider_textbox']  = array(

                'section' => 'slider',

                'title' => __('Text Box'),

                'desc' => __('Enable Slider Text Box'),

                'type' => 'checkbox',

                'std' => 0

            );

            if (wsomega_option('ws_checkbox_slider_textbox')):

                $this->settings['ws_select_slider_textbox_fx'] = array(

                    'section' => 'slider',

                    'title' => __('Slider Text Box Transition Effects'),

                    'desc' => __(''),

                    'type' => 'select',

                    'std' => 'fadeIn',

                    'choices' => array(

                        'fadeIn' => 'Fade In',

                        'moveFromLeft' => 'Move From Left',

                        'moveFomRight' => 'Move From Right',

                        'moveFromTop' => 'Move From Top',

                        'moveFromBottom' => 'Move From Bottom',

                        'fadeFromLeft' => 'Fade From Left',

                        'fadeFromRight' => 'Fade From Right',

                        'fadeFromTop' => 'Fade From Top',

                        'fadeFromBottom' => 'Fade From Bottom'

                    )

                );

            endif;

        endif;

        $this->settings['ws_checkbox_testimonial'] = array(

            'section' => 'testimonials',

            'title' => __('Testimonials'),

            'desc' => __('Enable Testimonials'),

            'type' => 'checkbox',

            'std' => 0

        );

        if (wsomega_option('ws_checkbox_testimonial')):

            $this->settings['ws_checkbox_grid_testimonials'] = array(

                'section' => 'testimonials',

                'title' => __('Show Testimonials in Grid'),

                'desc' => __(''),

                'type' => 'checkbox',

                'std' => 1

            );

            if (wsomega_option('ws_checkbox_grid_testimonials')):

                $this->settings['ws_select_grid_items_testimonials']       = array(

                    'section' => 'testimonials',

                    'title' => __('Items per Row'),

                    'desc' => __(''),

                    'type' => 'select',

                    'std' => '3',

                    'choices' => array(

                        '2' => '2 Per Row',

                        '3' => '3 Per Row',

                        '4' => '4 Per Row',

                        '5' => '5 Per Row',

                        '6' => '6 Per Row'

                    )

                );

                $this->settings['ws_checkbox_grid_thumbnail_testimonials'] = array(

                    'section' => 'testimonials',

                    'title' => __('Enable Testimonial Grid Thumbnails'),

                    'desc' => __(''),

                    'type' => 'checkbox',

                    'std' => 1

                );

            endif;

        endif;

        $this->settings['ws_select_grid_cta']  = array(

            'section' => 'homepage',

            'title' => __('Call to Actions per Row'),

            'desc' => __('Must have ACF and ACF Repeater Fields plugins installed.'),

            'type' => 'select',

            'std' => '3',

            'choices' => array(

                '2' => '2 Per Row',

                '3' => '3 Per Row',

                '4' => '4 Per Row',

                '5' => '5 Per Row',

                '6' => '6 Per Row'

            )

        );

        $this->settings['ws_checkbox_content'] = array(

            'section' => 'homepage',

            'title' => __('Enable Home Content'),

            'desc' => __('This option is for the Home Page Template'),

            'type' => 'checkbox',

            'std' => 0

        );

        if (wsomega_option('ws_checkbox_content')):

            $this->settings['ws_text_content_title'] = array(

                'title' => __('Content Section Title'),

                'desc' => __(''),

                'std' => '',

                'type' => 'text',

                'section' => 'homepage'

            );

        endif;

        if (wsomega_option('ws_checkbox_testimonial')):

            $this->settings['ws_checkbox_home_testimonials'] = array(

                'section' => 'homepage',

                'title' => __('Enable Testimonial on Home'),

                'desc' => __('Show Testimonials on the Homepage'),

                'type' => 'checkbox',

                'std' => 0

            );

            if (wsomega_option('ws_checkbox_home_testimonials')):

                $this->settings['ws_text_testimonial_title'] = array(

                    'title' => __('Testimonial Section Title'),

                    'desc' => __(''),

                    'std' => 'Testimonials',

                    'type' => 'text',

                    'section' => 'homepage'

                );

            endif;

        endif;

        $this->settings['ws_checkbox_post_latest'] = array(

            'section' => 'homepage',

            'title' => __('Enable Latest Post'),

            'desc' => __('Show The Latest Post Section on Home'),

            'type' => 'checkbox',

            'std' => 0

        );

        if (wsomega_option('ws_checkbox_post_latest')):

            $this->settings['ws_text_latest_title'] = array(

                'title' => __('Latest Post Section Title'),

                'desc' => __(''),

                'std' => 'Latest Post',

                'type' => 'text',

                'section' => 'homepage'

            );

        endif;

        $this->settings['ws_checkbox_post_featured'] = array(

            'section' => 'homepage',

            'title' => __('Enable Featured Post'),

            'desc' => __('Show The Featured Post Section on Home'),

            'type' => 'checkbox',

            'std' => 0

        );

        if (wsomega_option('ws_checkbox_post_featured')):

            $this->settings['ws_text_featured_title'] = array(

                'title' => __('Featured Post Section Title'),

                'desc' => __(''),

                'std' => 'Featured Post',

                'type' => 'text',

                'section' => 'homepage'

            );

        endif;

        $this->settings['ws_text_facebook']      = array(

            'title' => __('Facebook Link'),

            'desc' => __(''),

            'std' => __(''),

            'type' => 'text',

            'section' => 'social'

        );

        $this->settings['ws_text_twitter']       = array(

            'title' => __('Twitter Link'),

            'desc' => __(''),

            'std' => __(''),

            'type' => 'text',

            'section' => 'social'

        );

        $this->settings['ws_text_googleplus']    = array(

            'title' => __('Google Plus Link'),

            'desc' => __(''),

            'std' => __(''),

            'type' => 'text',

            'section' => 'social'

        );

        $this->settings['ws_text_instagram']     = array(

            'title' => __('Instagram Link'),

            'desc' => __(''),

            'std' => __(''),

            'type' => 'text',

            'section' => 'social'

        );

        $this->settings['ws_text_yelp']          = array(

            'title' => __('Yelp Link'),

            'desc' => __(''),

            'std' => __(''),

            'type' => 'text',

            'section' => 'social'

        );

        $this->settings['ws_text_pinterest']     = array(

            'title' => __('Pinterest Link'),

            'desc' => __(''),

            'std' => __(''),

            'type' => 'text',

            'section' => 'social'

        );

        $this->settings['ws_text_linkedin']      = array(

            'title' => __('LinkedIn Link'),

            'desc' => __(''),

            'std' => __(''),

            'type' => 'text',

            'section' => 'social'

        );

        $this->settings['ws_text_youtube']       = array(

            'title' => __('You Tube Link'),

            'desc' => __(''),

            'std' => __(''),

            'type' => 'text',

            'section' => 'social'

        );

        $this->settings['ws_checkbox_emailicon'] = array(

            'section' => 'social',

            'title' => __('Show Email Icon'),

            'desc' => __(''),

            'type' => 'checkbox',

            'std' => 0

        );

        $this->settings['ws_checkbox_rssicon']   = array(

            'section' => 'social',

            'title' => __('Show RSS Icon'),

            'desc' => __(''),

            'type' => 'checkbox',

            'std' => 0

        );

        $this->settings['ws_checkbox_shareicon'] = array(

            'section' => 'social',

            'title' => __('Activate Share Icon'),

            'desc' => __(''),

            'type' => 'checkbox',

            'std' => 0

        );

        if (class_exists('Woocommerce')):

		    $this->settings['ws_checkbox_woo_per']    = array(

            'title' => __('Products Per Page'),

            'desc' => __(''),

            'std' => __('12'),

            'type' => 'text',

            'section' => 'woo'

        );

		

		 $this->settings['ws_checkbox_woo_sidebar']     = array(

                'section' => 'woo',

                'title' => __('Activate WooCommerce Sidebar'),

                'desc' => __(''),

                'type' => 'checkbox',

                'std' => 0

            );

			

			

            $this->settings['ws_checkbox_woo_skin']     = array(

                'section' => 'woo',

                'title' => __('Activate Dark Theme'),

                'desc' => __(''),

                'type' => 'checkbox',

                'std' => 0

            );

            $this->settings['ws_checkbox_woo_featured'] = array(

                'section' => 'woo',

                'title' => __('Show Featured Products On The Homepage'),

                'desc' => __(''),

                'type' => 'checkbox',

                'std' => 0

            );

            $this->settings['ws_checkbox_woo_latest']   = array(

                'section' => 'woo',

                'title' => __('Show Latest Products On The Homepage'),

                'desc' => __(''),

                'type' => 'checkbox',

                'std' => 1

            );

         

           $this->settings['ws_select_grid_woo']  = array(

            'section' => 'woo',

            'title' => __('Woocommerce Products Columns'),

            'desc' => __('Woocommerce Products per Row'),

            'type' => 'select',

            'std' => '4',

            'choices' => array(

                '2' => '2 Per Row',

                '3' => '3 Per Row',

                '4' => '4 Per Row',

                '5' => '5 Per Row',

                '6' => '6 Per Row'

            )

        );

		   $this->settings['ws_checkbox_woo_more']  = array(

                'section' => 'woo',

                'title' => __('Show View More Products Button On The Homepage'),

                'desc' => __(''),

                'type' => 'checkbox',

                'std' => 1

            );

       

		     $this->settings['ws_checkbox_woo_related']  = array(

                'section' => 'woo',

                'title' => __('Show Related Products On Product Page'),

                'desc' => __(''),

                'type' => 'checkbox',

                'std' => 1

            );

			

		

        endif;

        $this->settings['reset_theme'] = array(

            'section' => 'reset',

            'title' => __('Reset theme'),

            'type' => 'checkbox',

            'std' => 0,

            'class' => 'warning',

            'desc' => __('Check this box and click "Save Changes" below to reset theme options to their defaults.')

        );

    }

    public function initialize_settings()

    {

        $default_settings = array();

        foreach ($this->settings as $id => $setting) {

            if ($setting['type'] != 'heading')

                $default_settings[$id] = $setting['std'];

        }

        update_option('wsomega_theme_settings', $default_settings);

    }

    public function register_settings()

    {

        register_setting('wsomega_theme_settings', 'wsomega_theme_settings', array(

            &$this,

            'validate_settings'

        ));

        foreach ($this->sections as $slug => $title) {

            if ($slug == 'about')

                add_settings_section($slug, $title, array(

                    &$this,

                    'display_about_section'

                ), 'wsomega-theme-options');

            else

                add_settings_section($slug, $title, array(

                    &$this,

                    'display_section'

                ), 'wsomega-theme-options');

        }

        $this->get_option();

        foreach ($this->settings as $id => $setting) {

            $setting['id'] = $id;

            $this->create_setting($setting);

        }

    }

    public function scripts()

    {

        wp_print_scripts('jquery-ui-tabs');

    }

    public function styles()

    {

        wp_register_style('wsomega-theme-admin', get_stylesheet_directory_uri() . '/settings/wsomega-theme-options.css');

        wp_enqueue_style('wsomega-theme-admin');

    }

    public function validate_settings($input)

    {

        if (!isset($input['reset_theme'])) {

            $options = get_option('wsomega_theme_settings');

            foreach ($this->checkboxes as $id) {

                if (isset($options[$id]) && !isset($input[$id]))

                    unset($options[$id]);

            }

            return $input;

        }

        return false;

    }

}

$theme_options = new wsomega_settings();

function wsomega_option($option)

{

    $options = get_option('wsomega_theme_settings');

    if (isset($options[$option]))

        return $options[$option];

    else

        return false;

}

?>